Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032920
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2016-05-10 19:162017-01-16 13:04
ReportermarvintmView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRR16Q3
StatusclosedFix in branchFixed in SCM revision76ac0af0d497
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2015-10-14
Regression introduced in releaseRR15Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6133ebf807a46726599f76219402df44e8c0491#l1.10 [^]
Triggers an Emergency PackNo
Summary

0032920: Web POS never comes back after it has gone offline

DescriptionThe Web POS should automatically detect that connection came back after being offline, and should either initiate an automatic synchronization of the data in case the session is still valid, or prompt the user to log in again if it's not.

However, instead, nothing happens, and the Web POS never detects that connection came back until the user manually refreshes the browser.
Steps To Reproduce- Log in online mode in the Web POS.
- Stop tomcat.
- Complete a ticket. Here the Web POS correctly detects that it is offline.
- Start tomcat again.
- Wait more than one minute. Nothing happens (this is wrong, as the Web POS should have been detected that connection came back)
- Try to do a ticket. Even in this case, nothing happens.


Another different flow which also doesn't work:
- Log in the Web POS while being online
- Disable connection
- Create a ticket.
- Enable connection.
- After some time, the ticket should be automatically sent to the backend. However, this doesn't happen.
- If you create a second ticket while being offline, however, it seems both the first and second are sent.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0032924RR16Q2 closedRetail Web POS never comes back after it has gone offline 
depends on backport 0032925RR16Q1.2 closedRetail Web POS never comes back after it has gone offline 
related to feature request 0032680RR16Q3 closedmtaal Retry several times when a request to a server fails before setting server as offline 

-  Notes
(0086446)
hgbot (developer)
2016-05-13 19:46

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 106b1b12d07fa9f722a74cc9b38fb1f3709c925c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu May 12 08:19:29 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/106b1b12d07fa9f722a74cc9b38fb1f3709c925c [^]

Fixed issue 0032920: Web POS never comes back after it has gone offline

- Change offline ping from 5 to 1 minute
- Ping (MobileSessionActive) is always returning false inResponse. The request finish successfully but the response is false. If the session is dead in the server side, a modal will be shown to do login again.

---
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
---
(0086468)
hgbot (developer)
2016-05-16 15:27

Repository: retail/backports/3.0RR16Q1.2/org.openbravo.mobile.core
Changeset: 76ac0af0d497b2e92977589db705076f5f67712d
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon May 16 15:26:59 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.2/org.openbravo.mobile.core/rev/76ac0af0d497b2e92977589db705076f5f67712d [^]

Fixed issue 0032920: Web POS never comes back after it has gone offline

- Change offline ping from 5 to 1 minute
- Ping (MobileSessionActive) is always returning false inResponse. The request finish successfully but the response is false. If the session is dead in the server side, a modal will be shown to do login again.

---
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
---
(0086668)
guilleaer (developer)
2016-05-23 15:37

When connection comes back orders are not sync

- Issue History
Date Modified Username Field Change
2016-05-10 19:16 marvintm New Issue
2016-05-10 19:16 marvintm Assigned To => Retail
2016-05-10 19:16 marvintm Triggers an Emergency Pack => No
2016-05-10 19:17 marvintm Regression level => Production - Confirmed Stable
2016-05-10 19:17 marvintm Regression date => 2015-09-29
2016-05-10 19:17 marvintm Regression introduced in release => RR15Q4
2016-05-10 19:17 marvintm Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/53d6ce968da4f824e98a638257379a31da609f97 [^]
2016-05-10 20:02 marvintm Steps to Reproduce Updated View Revisions
2016-05-11 10:52 Orekaria Status new => acknowledged
2016-05-11 10:59 marvintm Status acknowledged => scheduled
2016-05-11 17:00 migueldejuana Regression date 2015-09-29 => 2015-10-14
2016-05-11 17:00 migueldejuana Regression introduced by commit https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/53d6ce968da4f824e98a638257379a31da609f97 [^] => https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6133ebf807a46726599f76219402df44e8c0491#l1.10 [^]
2016-05-11 17:01 migueldejuana Assigned To Retail => migueldejuana
2016-05-13 19:46 hgbot Checkin
2016-05-13 19:46 hgbot Note Added: 0086446
2016-05-13 19:46 hgbot Status scheduled => resolved
2016-05-13 19:46 hgbot Resolution open => fixed
2016-05-13 19:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/106b1b12d07fa9f722a74cc9b38fb1f3709c925c [^]
2016-05-16 15:27 hgbot Checkin
2016-05-16 15:27 hgbot Note Added: 0086468
2016-05-16 15:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/106b1b12d07fa9f722a74cc9b38fb1f3709c925c [^] => http://code.openbravo.com/retail/backports/3.0RR16Q1.2/org.openbravo.mobile.core/rev/76ac0af0d497b2e92977589db705076f5f67712d [^]
2016-05-23 15:37 guilleaer Note Added: 0086668
2016-05-23 15:37 guilleaer Status resolved => new
2016-05-23 15:37 guilleaer Resolution fixed => open
2016-05-23 15:37 guilleaer Status new => scheduled
2016-05-23 16:22 migueldejuana Relationship added related to 0032680
2017-01-16 13:04 marvintm Status scheduled => resolved
2017-01-16 13:04 marvintm Fixed in Version => RR16Q3
2017-01-16 13:04 marvintm Resolution open => fixed
2017-01-16 13:04 marvintm Review Assigned To => marvintm
2017-01-16 13:04 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker